From c35f6d13fbe73750125b48fc4c4345a9a1753400 Mon Sep 17 00:00:00 2001
From: Ivan Tolstosheyev <tolstosheyev@yandex.ru>
Date: Fri, 29 Jan 2010 22:09:01 +0300
Subject: [PATCH] Allowing using \dir to document current direcory.

This patch allows document current directory without passing
it path to "\dir" command.
---
 src/doxygen.cpp |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/src/doxygen.cpp b/src/doxygen.cpp
index 976412d..18158ba 100644
--- a/src/doxygen.cpp
+++ b/src/doxygen.cpp
@@ -7737,6 +7737,14 @@ static void findDirDocumentation(EntryNav *rootNav)
 
     QCString normalizedName = root->name;
     normalizedName = substitute(normalizedName,"\\","/");
+    if (root->docFile==normalizedName)
+    {
+        int lastSlashPos=normalizedName.findRev('/');
+        if (-1!=lastSlashPos)
+        {
+            normalizedName=normalizedName.left(lastSlashPos);
+        }
+    }
     if (normalizedName.at(normalizedName.length()-1)!='/')
     {
       normalizedName+='/';
-- 
1.6.0.4

